
set DESTDIR=c:\psx\whack\cd\worlds\generic
set DESTFILE=c:\psx\whack\cd\worlds\generic\menu.bff
rem set CWLDDIR=c:\psx\whack\glovwld\hub8

set CWLDDIR=x:\ateam\psx-glover99\glovwld\spinhub


call batches\mesh spinhub
rename %CWLDDIR%\spinhub.wld %CWLDDIR%\hub8.wld

if errorlevel 1 goto ending

bff_psa %CWLDDIR%\hub8.wld %DESTFILE% /halfg /create /glovescape /noanim
rem bff_psa %CWLDDIR%\hub8.wld %DESTFILE% /halfg /create /noanim

rem /fogged
if errorlevel 1 goto ending

rem call maketex HUB8
rem copy %CWLDDIR%\HUB8.spt %DESTDIR%\MENUHUB8.SPT

if exist %CWLDDIR%\HUB8spin.sky bff_psa %CWLDDIR%\HUB8.sky %DESTFILE% /rename sky

bff_psa %CWLDDIR%\losenge.psa %DESTFILE%
if errorlevel 1 goto ending
bff_psa %CWLDDIR%\finallog.psa %DESTFILE%
if errorlevel 1 goto ending



:ending
